## Installation and Setup

Follow these steps to install, configure, and test the RSVP module.

### 1. Installation

Install the module using one of the following methods:

* **Using Composer (Recommended):**
    ```bash
    composer require 'drupal/rsvplist-rsvplist:1.1.x-dev@dev'
    ```

### 2. Enablement

Enable the module:

* **Via Admin UI:**
    1.  Navigate to `Extend` (`/admin/modules`).
    2.  Find the "RSVP Module" (or its specific name) in the list.
    3.  Check the box next to it and click "Install".


### 3. Configuration: Placing the RSVP Block

The RSVP functionality is typically displayed using a block.

1.  Go to `Structure` > `Block layout` (`/admin/structure/block`).
2.  Click `Place block` in the region where you want the RSVP form to appear (commonly the "Content" region).
3.  Find the block provided by this module (e.g., "RSVP Form") and click `Place block`.
4.  Configure the block settings as needed (e.g., visibility rules) and click `Save block`.

### 4. Usage: Enabling RSVPs on Content

To collect RSVPs for a specific piece of content:

**Important Note:** By default, the RSVP option might only be available for **logged-in users**. Ensure you are logged in when testing this feature.

1.  Create a new content item (e.g., `Node` > `Add content` > `Article`) or edit an existing one.
2.  Populate the necessary fields (Title, Body, etc.) with test content.
3.  On the content edit form, find the settings area related to the RSVP module (it might be a dedicated tab or fieldset).
4.  Enable the feature by checking the option: `Collect RSVP e-mail addresses for this node.`
5.  Save the content item.

### 5. Testing the RSVP Form

1.  Navigate to the page for the content item you just created/edited (ensure you are logged in if required).
2.  You should see the RSVP form (rendered by the block you placed).
3.  Fill out the form with test information and submit it.

### 6. Verifying Submissions

1.  Go to the administration reports section.
2.  Navigate to `Reports` > `List of RSVP submissions` (or the specific path defined by the module, e.g., `/admin/reports/rsvp-list`).
3.  Verify that the test submission you made in the previous step appears in the list.
